org.jbpm.process.audit

## Interface AuditLogService

- All Superinterfaces:
    org.kie.api.runtime.manager.audit.AuditService
  All Known Implementing Classes:
    CommandBasedAuditLogService, ExecutorJPAAuditService, JPAAuditLogService, TaskJPAAuditService

      public interface AuditLogService
      extends org.kie.api.runtime.manager.audit.AuditService

  Implementations of this class deal with `ProcessInstanceLog`, `NodeInstanceLog` and `VariableInstanceLog` entities. Please see the public methods for the interface of this service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProcessInstanceLog>` | `findActiveProcessInstances()`
    `List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)`
    `List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)`
    `List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)`
    `ProcessInstanceLog` | `findProcessInstance(long processInstanceId)`
    `List<ProcessInstanceLog>` | `findProcessInstances()` Service methods
    `List<ProcessInstanceLog>` | `findProcessInstances(String processId)`
    `List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)`
    `List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)`
    `List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)`
    `List<VariableInstanceLog>` | `findVariableInstancesByName(String variableId, boolean onlyActiveProcesses)`
    `List<VariableInstanceLog>` | `findVariableInstancesByNameAndValue(String variableId, String value, boolean onlyActiveProcesses)`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder` | `nodeInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
    `<T,R> List<R>` | `queryLogs(org.jbpm.query.jpa.data.QueryWhere queryWhere, Class<T> queryType, Class<R> resultType)`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder` | `variableInstanceLogDelete()`
    `org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder` | `variableInstanceLogQuery()` Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.

    - ### Methods inherited from interface org.kie.api.runtime.manager.audit.AuditService

      `clear, dispose`

- - ### Method Detail

    - #### findProcessInstances

          List<ProcessInstanceLog> findProcessInstances()

      Service methods
      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`
      Returns:

    - #### findActiveProcessInstances

          List<ProcessInstanceLog> findActiveProcessInstances()

    - #### findProcessInstances

          List<ProcessInstanceLog> findProcessInstances(String processId)

      Specified by:
        `findProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findActiveProcessInstances

          List<ProcessInstanceLog> findActiveProcessInstances(String processId)

      Specified by:
        `findActiveProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findProcessInstance

          ProcessInstanceLog findProcessInstance(long processInstanceId)

      Specified by:
        `findProcessInstance` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findSubProcessInstances

          List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

      Specified by:
        `findSubProcessInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          List<NodeInstanceLog> findNodeInstances(long processInstanceId)

      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findNodeInstances

          List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                                  String nodeId)

      Specified by:
        `findNodeInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          List<VariableInstanceLog> findVariableInstances(long processInstanceId)

      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstances

          List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                          String variableId)

      Specified by:
        `findVariableInstances` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByName

          List<VariableInstanceLog> findVariableInstancesByName(String variableId,
                                                                boolean onlyActiveProcesses)

      Specified by:
        `findVariableInstancesByName` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### findVariableInstancesByNameAndValue

          List<VariableInstanceLog> findVariableInstancesByNameAndValue(String variableId,
                                                                        String value,
                                                                        boolean onlyActiveProcesses)

      Specified by:
        `findVariableInstancesByNameAndValue` in interface `org.kie.api.runtime.manager.audit.AuditService`

    - #### nodeInstanceLogQuery

          org.kie.internal.runtime.manager.audit.query.NodeInstanceLogQueryBuilder nodeInstanceLogQuery()

      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `NodeInstanceLog` instances.
      Returns:
        a `NodeInstanceLogQueryBuilder` instance

    - #### variableInstanceLogQuery

          org.kie.internal.runtime.manager.audit.query.VariableInstanceLogQueryBuilder variableInstanceLogQuery()

      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `VariableInstanceLog` instances.
      Returns:
        a `VariableInstanceLogQueryBuilder` instance

    - #### processInstanceLogQuery

          org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processInstanceLogQuery()

      Creates a "query builder" instance that allows the user to specify the specific query criteria to retrieve `ProcessInstanceLog` instances.
      Returns:
        a `ProcessInstanceLogQueryBuilder` instance

    - #### processInstanceLogDelete

          org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processInstanceLogDelete()

    - #### nodeInstanceLogDelete

          org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceLogDelete()

    - #### variableInstanceLogDelete

          org.kie.internal.runtime.manager.audit.query.VariableInstanceLogDeleteBuilder variableInstanceLogDelete()

    - #### queryLogs

          <T,R> List<R> queryLogs(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                  Class<T> queryType,
                                  Class<R> resultType)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.